Admin O Auth Registration Approval List
List pending, unexpired autonomous registrations awaiting administrator approval. Completed, denied, cancelled & expired requests are excluded.
List pending, unexpired autonomous registrations awaiting administrator approval. Completed, denied, cancelled & expired requests are excluded.
storyden-session<token>page?stringPagination query parameters.
Pending registrations, oldest first.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integersnapshot_at*stringServer time at the start of this queue read. Use as created_before for a bulk decision.
date-timeregistrations*array<>curl -X GET 'https://example.com/api/admin/oauth/registration-approvals'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "snapshot_at": "2019-08-24T14:15:22Z", "registrations": [ { "verification_code": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "metadata": { "registration_mode": [ "string" ], "registration_code": "string", "cancel_registration": true, "client_name": "string", "redirect_uris": [ "http://example.com" ], "grant_types": [ "string" ], "response_types": [ "string" ], "scope": "string", "token_endpoint_auth_method": "string", "jwks": {}, "application_type": "string", "logo_uri": "http://example.com", "client_uri": "http://example.com", "tos_uri": "http://example.com", "policy_uri": "http://example.com" } } ]}Admin O Auth Registration Approval Get GET
Review a pending autonomous registration by its verification code. This does not approve it or create an account.
Admin O Auth Registration Approval Submit POST
Approve or deny a pending autonomous registration. Approval authorizes creation of a bot on the next client poll and does not grant the administrator's permissions.